# Hacking The Pandemic
## Description
This Project was created in the context of a research that was conducted in the course Advanced Research Methods at the University of Utrecht. It investigates how three different regression models behave on a dataset which consists of daily updated covid-19 cases. The goal is to find differences between the prediction performances of the three models.
## Dataset
The Dataset used for training the models can be found in https://ourworldindata.org/coronavirus. 

> Hasell, J., Mathieu, E., Beltekian, D. _et al._ A cross-country database of COVID-19 testing. _Sci Data_ **7**, 345 (2020). [https://doi.org/10.1038/s41597-020-00688-8](https://doi.org/10.1038/s41597-020-00688-8)

In the context of this research the dataset was accessed on the 28th of November 2020.
## Execution
1. Run data_preprocessing.ipynb Notebook
2. Run lasso_regression.ipynb Notebook
3. Run xgboost_regression.ipynb Notebook
4. Run lightgbm_regression.ipynb Notebook
